module realsame_mod

implicit none

contains

logical function realsame(r1, r2, tol)

real r1, r2, tol, rmin, rmax
logical same



rmin = (1.-tol)*r2
rmax = (1.+tol)*r2

same = .false.

if ( (r1 >= rmin) .and. (r1 <= rmax)) same = .true.

realsame = same
end function realsame

end module realsame_mod
